Bug 476273 (CVE-2008-5504)

Summary: CVE-2008-5504 Firefox 2 XSS attack vectors in feed preview
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: urgent Docs Contact:
Priority: urgent    
Version: unspecifiedCC: security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://nvd.nist.gov/nvd.cfm?cvename=CVE-2008-5504
Whiteboard: impact=critical,source=mozilla,reported=20081208,public=20081216,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-25 11:58:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Josh Bressers 2008-12-12 15:38:11 EST
Mozilla security researcher moz_bug_r_a4 reported that the fix for a series
of feedWriter vulnerabilities published in a previous security update was
incomplete. moz_bug_r_a4 demonstrated that it was still possible to use the
feed preview as a vector for JavaScript privilege escalation. An attacker
could use this issue to run arbitrary JavaScript with chrome privileges.
Comment 2 Josh Bressers 2008-12-16 18:26:36 EST
This is now public:
http://www.mozilla.org/security/announce/2008/mfsa2008-62.html
Comment 3 Fedora Update System 2008-12-21 03:42:22 EST
firefox-2.0.0.19-1.fc8, epiphany-2.20.3-9.fc8, epiphany-extensions-2.20.1-12.fc8, blam-1.8.3-20.fc8, cairo-dock-1.6.3.1-1.fc8.2, chmsee-1.0.0-6.31.fc8, devhelp-0.16.1-12.fc8, evolution-rss-0.0.8-14.fc8, galeon-2.0.4-7.fc8.3, gnome-python2-extras-2.19.1-20.fc8, gnome-web-photo-0.3-15.fc8, kazehakase-0.5.6-1.fc8.2, liferea-1.4.15-6.fc8, Miro-1.2.7-3.fc8, openvrml-0.17.10-3.0.fc8, ruby-gnome2-0.17.0-4.fc8, yelp-2.20.0-15.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Vincent Danen 2010-12-25 11:58:07 EST
This was addressed via:
Red Hat Enterprise Linux version 2.1 (seamonkey) RHSA-2008:1037
Red Hat Enterprise Linux version 3 (seamonkey) RHSA-2008:1037
Red Hat Enterprise Linux version 4 (seamonkey) RHSA-2008:1037